#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x5748c047, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x94b83ea2, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x7678d015, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xfbfbae8d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8aa6b414, "ether_setup" },
	{ 0x5faba72c, "__ethtool_get_link_ksettings" },
	{ 0x868f0e43, "ethtool_get_ts_info_by_layer" },
	{ 0xd92c550, "init_net" },
	{ 0xea47c6fa, "generic_hwtstamp_set_lower" },
	{ 0x331d6439, "generic_hwtstamp_get_lower" },
	{ 0xe2578a00, "dev_mc_del" },
	{ 0xef743cfe, "dev_uc_del" },
	{ 0x7d5482ef, "dev_mc_add_excl" },
	{ 0x3decfb61, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e55d43a, "__netpoll_free" },
	{ 0xdc334ca5, "kmalloc_caches" },
	{ 0xa280bb7a, "kmalloc_trace" },
	{ 0x71443bfe, "vlan_vid_del" },
	{ 0x9f469450, "vlan_vid_add" },
	{ 0x1086fc4d, "dev_set_allmulti" },
	{ 0xbbd979e0, "dev_set_promiscuity" },
	{ 0xd639bd7, "dev_uc_unsync" },
	{ 0x576b677a, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6fcccec3, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x24ac2359, "sk_skb_reason_drop" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d0b0bdd, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc3174f4c, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2128858c, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa36cd33d, "__netpoll_setup" },
	{ 0xf7bb5f8a, "dev_uc_add" },
	{ 0xc24cad9, "call_netdevice_notifiers" },
	{ 0x5226f61c, "netif_inherit_tso_max" },
	{ 0xf6f2dfc4, "netdev_update_features" },
	{ 0xae5014ed, "netif_stacked_transfer_operstate" },
	{ 0x5d24a111, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbe2dae01, "unregister_netdevice_queue" },
	{ 0x4868beb, "netdev_upper_dev_unlink" },
	{ 0xdbed5c89, "__dev_get_by_index" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xefb6ffa0, "netdev_is_rx_handler_busy" },
	{ 0x3b49e8e9, "netdev_rx_handler_register" },
	{ 0x24b7356c, "register_netdevice" },
	{ 0xe49331bf, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbcea011f, "linkwatch_fire_event" },
	{ 0xa225324f, "dev_uc_sync" },
	{ 0xecf9f2c5, "dev_mc_sync" },
	{ 0x11b57b37, "netif_rx" },
	{ 0xd33d7e52, "skb_clone" },
	{ 0x48c900dc, "__dev_forward_skb" },
	{ 0xd582741a, "__dev_queue_xmit" },
	{ 0x31787ef5, "dev_forward_skb" },
	{ 0x2116a221, "netpoll_send_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe831a27, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x9a0ae24c, "__netif_rx" },
	{ 0xa85661eb, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x270c7a8c, "netdev_core_stats_inc" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xee800f4, "passthru_features_check" },
	{ 0xe04ab4c1, "eth_validate_addr" },
	{ 0x42cd8d4c, "ndo_dflt_fdb_dump" },
	{ 0x99828c54, "eth_header_parse" },
	{ 0xb997adf7, "eth_header_cache" },
	{ 0x6fee79f7, "eth_header_cache_update" },
	{ 0x72bf2de0, "ethtool_op_get_link" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "569F704A151561BFF5517F2");
MODULE_INFO(rhelversion, "9.6");
