#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x314d02a5, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0xa0757978, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xec216e35, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xcb331067, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x66e7d283, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x25a98f66, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x8d7b2d35, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x11334228, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x60354bef, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x2827d8c3, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xe397c9f2, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xd1cf13bb, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xaac624b3, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x103be8a0, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x4bfa762f, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xf22c7f23, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x6f2ceb81, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x08e5c8e8, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xbb078b8d, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xad37e5a4, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x660c2445, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x7c19cbc1, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x48bfc5cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0c805c5, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4c5e5a50, "icmpv6_ndo_send" },
	{ 0xc8fc2bf4, "icmp_ndo_send" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4800949b, "alloc_netdev_mqs" },
	{ 0x24b7356c, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x43ad759, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe2dae01, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x17836f32, "ip_route_output_flow" },
	{ 0x79afebdd, "dst_release" },
	{ 0xe798236d, "jiffies" },
	{ 0xdbed5c89, "__dev_get_by_index" },
	{ 0x3677944f, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xef74cba2, "gro_cells_init" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1c469322, "netdev_state_change" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0x5d24a111, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd92c550, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd044a341, "skb_copy_bits" },
	{ 0x24ac2359, "sk_skb_reason_drop" },
	{ 0x8a059649, "pskb_expand_head" },
	{ 0xd7fc6026, "__skb_get_hash_net" },
	{ 0x1d38bbce, "dst_cache_get_ip4" },
	{ 0xd358e8d, "dst_cache_set_ip4" },
	{ 0x55673e5e, "iptunnel_xmit" },
	{ 0x91a1a80c, "__pskb_pull_tail" },
	{ 0x71a3f02e, "skb_scrub_packet" },
	{ 0x7cc0179c, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x2bd7feb4, "eth_type_trans" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd6c61034, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A6FC6085F0B91B1B138B3E8");
MODULE_INFO(rhelversion, "9.6");
