#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x5a30ec7a, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x25546659, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x2edd9d18, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x4c76ac69, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x0d19e3b7, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xa3bd6338, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xb4ec8b7f, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x16f9ad2c, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x55ef63df, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x46981302, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x619dec6f, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x0b3077c0, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xb8e3e800, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xd56fcc2b, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xc4dc9c27, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x1abd6287, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x0dd8d297, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x3b5798c6, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xdd6283a6, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x6e978187, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x3b1bfd25, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x62fce547, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xa52417b5, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x29b01768, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xffce1570, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x0ea48548, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xc19bcdf4, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xb1b6c745, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x97c79b94, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x680b1c28, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x841b87cd, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xc9a32643, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xa38c5751, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xf0f97b58, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xdf500f42, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x7863c455, "");
SYMBOL_CRC(mlx4_test_async, 0xb05eeb8d, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x1a2122d7, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x63b50652, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x80ab3383, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xa223920e, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x0d000a06, "");
SYMBOL_CRC(mlx4_assign_eq, 0x9d79ad00, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xa4011074, "");
SYMBOL_CRC(mlx4_release_eq, 0x6de26a18, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xf064e2c9, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x876bcd12, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x34c34756, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x5ccf62e0, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xe69ab4d0, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x062aafeb, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x980cbd84, "");
SYMBOL_CRC(mlx4_wol_read, 0x3a1d3611, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x248303d7, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x8f9fe6f5, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x2c172ddc, "");
SYMBOL_CRC(set_phv_bit, 0xf85791e3, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xdf9a3141, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xae9fa0c0, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xfa8e7dd6, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xbf1613c9, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xf1112805, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x82f4317c, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xd3eb2539, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x6b3852fd, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x46d56643, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x8ec5893d, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x5575c893, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xd010312f, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xb4df24f8, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xc7884884, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xbcb48eb1, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x8e4338ce, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x400e035a, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xebfd0b89, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x9b00c562, "");
SYMBOL_CRC(mlx4_read_clock, 0x0a4e4a5f, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xb49d9c7e, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x3477c2a3, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x6e05ce89, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xe48b7afa, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x09f15ac6, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xe1df44ba, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xf8c6e829, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xb1bff45c, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x61f0ec1c, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xdefa672c, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x0868d02d, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x7f1bd90f, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x8e8c9fbd, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x4be14729, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x3da4ad12, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xaa2616ea, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x29360ef5, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x62fba054, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x6e48163a, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xa3b07162, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xa88af2ef, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x5d6fab99, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x7ca08cf0, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xaf75a43d, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x7fe2783f, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x232f77ae, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xf344b92e, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x830b10f8, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xe04c18f6, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xf482772a, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xf18d3737, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x8b63198f, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x0567f382, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x547cc42a, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x464ded09, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x7d613c84, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x890d295e, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x85a08f37, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xc866b82b, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x77ef80b3, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xbcd069a6, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xbb58ca60, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xf3eb4d8b, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xaab386cc, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x5b9a3fc4, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x6adfe2da, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x03cbe17e, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x6885896b, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xcab38e26, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x4e12760e, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xc34d47a7, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x6c6a6ceb, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x721c04c7, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xe5eee29b, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xc3460707, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x9924c382, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xa7bafd02, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x75bdf748, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x65995400, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xc6a9bcda, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x617e8848, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x91b4592d, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xacc38d99, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x97d1535f, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x5b199d7c, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xbfeb0cb6, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x837122e5, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xa573b815, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xcb7ca52e, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x28944c0e, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xd25b4159, "");
SYMBOL_CRC(mlx4_get_module_info, 0xbcd0747a, "");
SYMBOL_CRC(mlx4_max_tc, 0xa5e993eb, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xb2520ad4, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x130a8c39, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x89c959b0, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xa80a9c5f, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xe7fefe52, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x293aca6f, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xdef8e03f, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x596648db, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x34fa6fc7, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x57b4f810, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x8dfdd6cb, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xd602b0ea, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xac5def11, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xfb127aff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc21b6d6, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x666f6a68, "pcie_capability_write_word" },
	{ 0xbee27d08, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe236135a, "devl_region_create" },
	{ 0x64eea7f6, "devlink_unregister" },
	{ 0x122c217e, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xb6601818, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x943e3f2f, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c7fb381, "devlink_region_snapshot_id_get" },
	{ 0xc2f79d1c, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xa485f51f, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x4b34cac5, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2334c969, "param_array_ops" },
	{ 0xbdaff569, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x184ff12, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xc5a9b5b4, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xac72b244, "devlink_register" },
	{ 0xfb21aa59, "devlink_port_type_clear" },
	{ 0x633929fc, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xb7e9ebcd, "param_ops_byte" },
	{ 0xb6f17483, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0x4fd7c716, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x9ce51a8e, "pci_read_config_dword" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x9db29924, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xc5ea285a, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x99701e9, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xdfe83220, "put_device" },
	{ 0xa928544b, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x7c4102ad, "kmalloc_node_trace" },
	{ 0xd111a312, "__free_pages" },
	{ 0x90f28154, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x803771e8, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x837c2e3a, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xbfb3b9d, "_dev_err" },
	{ 0xd92c550, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x4139c8ed, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0xa5e03b26, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf6b7d504, "dma_alloc_attrs" },
	{ 0x8e60262d, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xf01f8a1e, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe155b846, "pci_restore_state" },
	{ 0xdc02ebe8, "device_del" },
	{ 0xb0b6d4b, "devl_param_driverinit_value_set" },
	{ 0x134b0fc4, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x54eb5caa, "__alloc_pages" },
	{ 0xc8e91765, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0xc0d4ed38, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0x1d23394a, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0x4447aa0, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xc5aa59bb, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x32a1456, "param_ops_bool" },
	{ 0x55f50653, "pci_release_regions" },
	{ 0x4270af43, "__dma_sync_single_for_device" },
	{ 0xb5a49db1, "devl_assert_locked" },
	{ 0x6c21a5fc, "pcie_print_link_status" },
	{ 0xdb27a6d2, "alloc_pages" },
	{ 0x40094be5, "devl_port_unregister" },
	{ 0xddf69ecb, "devl_param_driverinit_value_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x66a85931, "devlink_priv" },
	{ 0x2a0991dc, "pci_disable_sriov" },
	{ 0x9fc12a99, "pci_disable_msix" },
	{ 0x4ea645e4, "pci_disable_device" },
	{ 0x5fca14b3, "dev_printk" },
	{ 0xbef04149, "dma_set_mask" },
	{ 0x753a2544, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe90317f8, "dma_unmap_sg_attrs" },
	{ 0xa280bb7a, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x93030193, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x4f46ff77, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x5e1c23fc, "pci_write_config_dword" },
	{ 0xdc334ca5, "kmalloc_caches" },
	{ 0x66df99, "device_remove_file" },
	{ 0x7a252a1, "dma_map_sg_attrs" },
	{ 0xb7a6652a, "devl_param_value_changed" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A586B3738EC4CE53A82327");
MODULE_INFO(rhelversion, "9.6");
