#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xa6d87672, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x377b8306, "");
SYMBOL_CRC(team_options_register, 0x2c81ed79, "");
SYMBOL_CRC(team_options_unregister, 0xf8bb229a, "");
SYMBOL_CRC(team_option_inst_set_change, 0x1de2a333, "");
SYMBOL_CRC(team_options_change_check, 0x9b36ee2f, "");
SYMBOL_CRC(team_mode_register, 0xb6d707a6, "");
SYMBOL_CRC(team_mode_unregister, 0xf8107d53, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d24a111, "dev_set_mtu" },
	{ 0x184edd9d, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa6f46f4d, "__nlmsg_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe831a27, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x6e55d43a, "__netpoll_free" },
	{ 0x2116a221, "netpoll_send_skb" },
	{ 0xc3174f4c, "rtnl_link_register" },
	{ 0x508c8d65, "genlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8f874d3c, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xbbd979e0, "dev_set_promiscuity" },
	{ 0xe5ae6c6e, "netdev_warn" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xd639bd7, "dev_uc_unsync" },
	{ 0x8aa6b414, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2a5c62a1, "netlink_broadcast_filtered" },
	{ 0x302eb02, "netdev_err" },
	{ 0xee800f4, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6fcccec3, "netdev_rx_handler_unregister" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x19c78c73, "__alloc_skb" },
	{ 0xe0ff12b1, "module_put" },
	{ 0x564a28ef, "dev_uc_flush" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x8e8dfa86, "dev_open" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2128858c, "rtnl_link_unregister" },
	{ 0x8dbc8fd6, "dev_mc_flush" },
	{ 0x24ac2359, "sk_skb_reason_drop" },
	{ 0xd6d100cc, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x6a5451c1, "dev_get_by_index" },
	{ 0x7471549c, "dev_close" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4868beb, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x72bf2de0, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x5faba72c, "__ethtool_get_link_ksettings" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d0b0bdd, "dev_set_mac_address" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x82ca212d, "netdev_has_upper_dev" },
	{ 0x26219793, "netdev_change_features" },
	{ 0xd159d427, "netdev_lower_state_changed" },
	{ 0xa26fd4f8, "netdev_master_upper_dev_link" },
	{ 0x64bacd85, "vlan_vids_add_by_dev" },
	{ 0x5afc1226, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe2e8ca9e, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa72f4e4f, "vlan_vids_del_by_dev" },
	{ 0xa36cd33d, "__netpoll_setup" },
	{ 0xd582741a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9f469450, "vlan_vid_add" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc24cad9, "call_netdevice_notifiers" },
	{ 0x71443bfe, "vlan_vid_del" },
	{ 0x1086fc4d, "dev_set_allmulti" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe25d65bc, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd33d7e52, "skb_clone" },
	{ 0xde24b824, "netif_carrier_on" },
	{ 0xbcb7587d, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3b49e8e9, "netdev_rx_handler_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xff7bc8e5, "genl_unregister_family" },
	{ 0xd9380fe8, "dev_disable_lro" },
	{ 0xa280bb7a, "kmalloc_trace" },
	{ 0x8af74269, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x576b677a, "dev_mc_unsync" },
	{ 0xa0855b83, "genl_register_family" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xdc334ca5, "kmalloc_caches" },
	{ 0xd668058e, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f6b82f7, "dev_mc_sync_multiple" },
	{ 0x24b7356c, "register_netdevice" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "64D0DC4D7A9946F4366CA26");
MODULE_INFO(rhelversion, "9.6");
