#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x20690687, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xe1467e02, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xb27376fc, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xba8430f2, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x90dbadb3, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x8fccc9a0, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xd948629a, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xd608217e, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xde06ff1d, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x7b202f90, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x248a56b1, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xcf5ab752, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x23924c71, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xe7bb8554, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x59a0e519, "");
SYMBOL_CRC(nf_nat_follow_master, 0x88fad32e, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xf5392406, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x95155d04, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xb7847394, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x77460d7f, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x683c5b56, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67119922, "nf_ct_ext_add" },
	{ 0x971d5223, "__do_once_done" },
	{ 0x8cd20e87, "nf_conntrack_find_get" },
	{ 0x184edd9d, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfcafb892, "nf_ip6_checksum" },
	{ 0xd044a341, "skb_copy_bits" },
	{ 0x39866b97, "nf_hook_entries_insert_raw" },
	{ 0x36062904, "xfrm_lookup" },
	{ 0xa821074e, "nf_ct_seqadj_set" },
	{ 0xf9baa14f, "skb_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0c329f4, "nf_ct_helper_expectfn_unregister" },
	{ 0xf6569e54, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x8586fee6, "nf_ct_helper_expectfn_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4bba7c2b, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8a059649, "pskb_expand_head" },
	{ 0xcb0595e4, "register_pernet_subsys" },
	{ 0x6732da33, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xfbd4367d, "nf_ct_iterate_cleanup_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x25d80ea, "ipv6_skip_exthdr" },
	{ 0xf6a09128, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xe0ff12b1, "module_put" },
	{ 0x428381be, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xa5e34c4e, "nf_conntrack_alter_reply" },
	{ 0x904daa46, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbe21a4bc, "nf_hook_entries_delete_raw" },
	{ 0x6ea5a443, "skb_ensure_writable" },
	{ 0x48008feb, "nf_unregister_net_hooks" },
	{ 0xd4cddffb, "inet_select_addr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x46df475f, "unregister_pernet_subsys" },
	{ 0xf8547d83, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x268ef467, "nf_ct_delete" },
	{ 0xbb95b9be, "nf_ip_checksum" },
	{ 0x96943229, "register_btf_kfunc_id_set" },
	{ 0xd19d3a4, "nf_ct_iterate_destroy" },
	{ 0xa56ab0ac, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x47fe1ba7, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbfd90924, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc69790ae, "inet_proto_csum_replace4" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x79afebdd, "dst_release" },
	{ 0xe109dfcc, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x6d3528c4, "nf_nat_hook" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa280bb7a, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xdc334ca5, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "C6ABB9EE939011585D104AC");
MODULE_INFO(rhelversion, "9.6");
