#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x303a06ba, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x77b743e8, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x0e544ed3, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x29621d5d, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x5489ae87, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xe4b23937, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x65314c93, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x7de66ff3, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xe825117f, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x81119388, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x312a0438, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcb0595e4, "register_pernet_subsys" },
	{ 0x1e7d367a, "seq_printf" },
	{ 0x62395dfe, "seq_puts" },
	{ 0x46df475f, "unregister_pernet_subsys" },
	{ 0xf6a09128, "nf_register_net_hooks" },
	{ 0x48008feb, "nf_unregister_net_hooks" },
	{ 0x1b0564c9, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0x4ccdfc80, "__nf_ip6_route" },
	{ 0x24ac2359, "sk_skb_reason_drop" },
	{ 0x36062904, "xfrm_lookup" },
	{ 0xac338901, "ip6_local_out" },
	{ 0x6ea5a443, "skb_ensure_writable" },
	{ 0xc69790ae, "inet_proto_csum_replace4" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8c4b2f8, "nf_ct_tmpl_alloc" },
	{ 0x67119922, "nf_ct_ext_add" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x2c385959, "proc_create_net_data" },
	{ 0x13cc482c, "nf_ct_tmpl_free" },
	{ 0xd044a341, "skb_copy_bits" },
	{ 0x904daa46, "ip_route_me_harder" },
	{ 0x59faabc6, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x19c78c73, "__alloc_skb" },
	{ 0xf9baa14f, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0xfdfefb5e, "__cookie_v4_check" },
	{ 0x66df0d36, "__cookie_v6_check" },
	{ 0x25d80ea, "ipv6_skip_exthdr" },
	{ 0x8c983fcf, "nf_ct_seqadj_init" },
	{ 0xe831a27, "consume_skb" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "6C5B2F4F7E3F6A6980CE897");
MODULE_INFO(rhelversion, "9.6");
