#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x6c2e3534, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x7f5b9714, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x4d5a0f53, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xd0179ea8, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x55e64c22, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xbff02bae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67119922, "nf_ct_ext_add" },
	{ 0xf2774c45, "nsh_pop" },
	{ 0x8cd20e87, "nf_conntrack_find_get" },
	{ 0x8b220bc0, "nf_ct_set_timeout" },
	{ 0xeb9d8554, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x184edd9d, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa9e44384, "dev_fill_metadata_dst" },
	{ 0xf56c1294, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x80d1c740, "nf_ct_handle_fragments" },
	{ 0x56f5c53a, "eth_mac_addr" },
	{ 0xf9baa14f, "skb_put" },
	{ 0xaf879937, "genl_notify" },
	{ 0xc69d3452, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe831a27, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x683c5b56, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbd175d71, "skb_eth_pop" },
	{ 0x92fff431, "trace_raw_output_prep" },
	{ 0xd0b8275e, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x902cb10a, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xf4233ad1, "nf_ct_helper" },
	{ 0x5d8897a1, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x3485b210, "trace_event_printf" },
	{ 0xcb0a3a09, "rtnl_delete_link" },
	{ 0xc3174f4c, "rtnl_link_register" },
	{ 0x68b65389, "nf_connlabels_put" },
	{ 0x508c8d65, "genlmsg_put" },
	{ 0xf00bf5c9, "___pskb_trim" },
	{ 0x50baae90, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe3b05ba, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xbbd979e0, "dev_set_promiscuity" },
	{ 0x47e1cb03, "nf_ct_destroy_timeout" },
	{ 0x2be9ba78, "nf_ct_add_helper" },
	{ 0x47b3e4ac, "nf_conntrack_helper_put" },
	{ 0x7268644d, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3ed687fa, "nf_ct_skb_network_trim" },
	{ 0xbc0d41a6, "event_triggers_call" },
	{ 0xbe2dae01, "unregister_netdevice_queue" },
	{ 0x9f966b7f, "kmem_cache_create" },
	{ 0x9d4719e8, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x8aa6b414, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2a5c62a1, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8a059649, "pskb_expand_head" },
	{ 0x9fe32044, "skb_csum_hwoffload_help" },
	{ 0xda320f96, "trace_event_buffer_commit" },
	{ 0x76160505, "nf_connlabels_replace" },
	{ 0x2bd7feb4, "eth_type_trans" },
	{ 0x4800949b, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xef606bfc, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x6fcccec3, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xfa1fe2b, "trace_event_ignore_this_pid" },
	{ 0xf9a5d45e, "skb_eth_push" },
	{ 0xc2fd0d3c, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x19c78c73, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x295dcd87, "kmem_cache_alloc" },
	{ 0x565aa29f, "skb_mpls_pop" },
	{ 0x3d3bba2e, "skb_vlan_pop" },
	{ 0x1175b76d, "dst_init" },
	{ 0xe0ff12b1, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0xd7fc6026, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2128858c, "rtnl_link_unregister" },
	{ 0xe6163a27, "perf_trace_run_bpf_submit" },
	{ 0xd92c550, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x116d61a2, "ipv6_stub" },
	{ 0xd7339ed9, "skb_mpls_update_lse" },
	{ 0xaf9ca1ec, "skb_pull" },
	{ 0x54805a3d, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0x24ac2359, "sk_skb_reason_drop" },
	{ 0xd6d100cc, "netlink_unicast" },
	{ 0x81fb1cd7, "bpf_trace_run5" },
	{ 0x8e68239a, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xad8524f3, "skb_push" },
	{ 0x129cce22, "kmem_cache_free" },
	{ 0x4868beb, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xc7c391f6, "trace_event_reg" },
	{ 0x6ea5a443, "skb_ensure_writable" },
	{ 0x43ad759, "free_netdev" },
	{ 0x1d212260, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xb5a2cad3, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x72bf2de0, "ethtool_op_get_link" },
	{ 0xda597668, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x7939c2c1, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x91a1a80c, "__pskb_pull_tail" },
	{ 0x268ef467, "nf_ct_delete" },
	{ 0x8a6d8707, "nf_conncount_init" },
	{ 0xafc5ab17, "skb_vlan_push" },
	{ 0xa2c46e15, "dev_get_tstats64" },
	{ 0x11b57b37, "netif_rx" },
	{ 0xce2d43da, "__netdev_alloc_skb" },
	{ 0xa26fd4f8, "netdev_master_upper_dev_link" },
	{ 0xc55695c, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0xa56ab0ac, "inet_proto_csum_replace16" },
	{ 0x5afc1226, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x71a3f02e, "skb_scrub_packet" },
	{ 0x45dc3344, "nf_ct_deliver_cached_events" },
	{ 0xa7c95c94, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x170e2d86, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd582741a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd5c1eb43, "trace_event_buffer_reserve" },
	{ 0xbfd90924, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc69790ae, "inet_proto_csum_replace4" },
	{ 0x40b16dfb, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xce510d82, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda91ff29, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1aa07f55, "dev_get_by_name" },
	{ 0xd33d7e52, "skb_clone" },
	{ 0xd690cd2, "metadata_dst_alloc" },
	{ 0x79afebdd, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa3d48f30, "peernet2id_alloc" },
	{ 0x20da1013, "nf_ct_get_tuplepr" },
	{ 0x3b49e8e9, "netdev_rx_handler_register" },
	{ 0xd9c57d62, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xff7bc8e5, "genl_unregister_family" },
	{ 0xd9380fe8, "dev_disable_lro" },
	{ 0xa280bb7a, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x8af74269, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa0855b83, "genl_register_family" },
	{ 0x13cc482c, "nf_ct_tmpl_free" },
	{ 0x8cf290b4, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x3a18b7d7, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xf52c60e5, "skb_mpls_push" },
	{ 0x38781868, "register_pernet_device" },
	{ 0x40aaa96, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xdc334ca5, "kmalloc_caches" },
	{ 0x3a9ea292, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3880c5f3, "kmem_cache_destroy" },
	{ 0x809e3bb6, "__skb_vlan_pop" },
	{ 0x8c4b2f8, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x24b7356c, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xdbcac8ba, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "AF2009AC6D96024C1E801CA");
MODULE_INFO(rhelversion, "9.6");
